Author Topic: Last version VoodooHDA Questions.  (Read 4384 times)

0 Members and 1 Guest are viewing this topic.

Z3r0

  • Observer
  • Posts: 15
Last version VoodooHDA Questions.
« on: April 03, 2010, 03:19:23 PM »
Hi!
I've decided to update my VodooHDA to the last version optimized for SL.
(which can be found here: http://forum.voodooprojects.org/index.php/topic,1204.0.html)

But I'm unable to load the kext in 64-bit mode:

Code: [Select]
/System/Library/Extensions/VoodooHDA.kext failed to load - (libkern/kext) dependency resolution failure; check the system/kernel logs for errors or try kextutil(8).
Code: [Select]
/System/Library/Extensions/VoodooHDA.kext has problems:
Warnings:
Kexts should declare dependencies on either com.apple.kernel* or com.apple.kpi.* libraries, not both.

Dependency Resolution Failures:
64-bit kexts must use com.apple.kpi.* libraries, not com.apple.kernel* libraries.

Moreover, I don't understand why the Prefpane need to be loaded in 32-bit Preferences even if I recompiled it in 64-bits.

I'm using SL 10.6.2, and freshly updated to 10.6.3 in 64-bits mode.

Is there somebody who have the same problems?
Thanks in advance :)